package com.example.soulfood_assignment2;

import android.animation.ObjectAnimator;
import android.content.Intent;
import android.support.v4.view.ViewCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;

public class homeScreen extends AppCompatActivity {

    int swipeStartX = -50; //arbitrary default value
    int swipeEndX;
    View sideView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        sideView = this.findViewById(R.id.sideView);
        ViewCompat.setTranslationZ(sideView, 100f); //bring sideView in front of buttons
    }

    @Override
    public boolean onTouchEvent(MotionEvent event){
        if(event.getAction() == MotionEvent.ACTION_DOWN){ //finger touches screen
            if(event.getX() <= 80){ //finger on right side of phone
                swipeStartX = (int)event.getX();
            }
        }else if(event.getAction() == MotionEvent.ACTION_UP){ //finger leaves screen
            if(swipeStartX != -50){ //swipe from side has occurred
                swipeEndX = (int)event.getX();
                int difference = swipeStartX - swipeEndX;
                swipeStartX = -50; //reset for future swipes
                if(difference < -10){ //swipe was left
                    //successful swipe
                    animateSwipe();
                }
            }
        }
        return super.onTouchEvent(event);
    }

    public void animateSwipe(){
        ObjectAnimator anim = ObjectAnimator.ofFloat(sideView, "translationX", 500f);
        anim.setDuration(500);
        anim.start();
    }

    public void buildPlaylistViewOnClick(View view) {
        Intent intent = new Intent(this, build_playlist.class);
        startActivity(intent);
    }

    public void searchPlaylistViewOnClick(View view) {
        Intent intent = new Intent(this, searchScreen.class);
        startActivity(intent);
    }
}
